Bug 525647 - kernel OOPS and suspend resume with umts on (X60s and sierra module)
Summary: kernel OOPS and suspend resume with umts on (X60s and sierra module)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-25 08:21 UTC by Lutz Lange
Modified: 2010-06-28 14:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:48:39 UTC


Attachments (Terms of Use)

Description Lutz Lange 2009-09-25 08:21:02 UTC
Description of problem:
i get a kernel oop if i do suspend / resume on X60s ( when umts connection is running)

Version-Release number of selected component (if applicable):
2.6.29.5-191.fc11.i586

How reproducible:
Start an umts connection. Do a suspend to ram and resume.

 
Actual results:
kernel oops
and i have to use the wireless kill button + relead of usbserial and sierra module to be able to use the umts again. After that i get /dev/ttyUSB? devices back, but they get numbered wrong. I now have ttyUSB3 to ttyUSB5. Instead of ttyUSB0 to ttyUSB2. If you do this over and over the numbers get higher and higher.

Expected results:
Umts connection should be disconnected. But umts should just work after resume / suspend. 

Additional Info:
Sep 25 08:13:26 claw kernel: BUG: unable to handle kernel NULL pointer dereference at 00000028
Sep 25 08:13:26 claw kernel: IP: [<f84f56c3>] sierra_close+0x1a/0x7f [sierra]
Sep 25 08:13:26 claw kernel: *pde = 7d7c4067 
Sep 25 08:13:26 claw kernel: Oops: 0002 [#2] SMP 
Sep 25 08:13:26 claw kernel: last sysfs file: /sys/devices/pci0000:00/0000:00:1d.1/usb3/idVendor
Sep 25 08:13:26 claw kernel: Modules linked in: sierra usbserial nls_utf8 tun ppp_deflate zlib_deflate ppp_async ppp_generic slhc fuse rfcomm sco bridge stp llc bnep l2cap sunrpc ipt_LOG ipt_MASQUERADE iptable_nat nf_nat ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq dm_multipath kvm_intel kvm uinput snd_hda_codec_analog snd_hda_intel snd_hda_codec snd_hwdep thinkpad_acpi iTCO_wdt arc4 snd_pcm hwmon ecb snd_timer yenta_socket firewire_ohci iTCO_vendor_support i2c_i801 rsrc_nonstatic snd pcspkr firewire_core iwl3945 sdhci_pci sdhci mmc_core nsc_ircc crc_itu_t soundcore mac80211 irda btusb bluetooth lib80211 e1000e cfg80211 snd_page_alloc crc_ccitt xts gf128mul aes_i586 aes_generic dm_crypt i915 drm i2c_algo_bit i2c_core video output [last unloaded: usbserial]
Sep 25 08:13:26 claw kernel:
Sep 25 08:13:26 claw kernel: Pid: 8099, comm: wvdial Tainted: G      D    (2.6.29.5-191.fc11.i586 #1) 1702BQ6
Sep 25 08:13:26 claw kernel: EIP: 0060:[<f84f56c3>] EFLAGS: 00010286 CPU: 1
Sep 25 08:13:26 claw kernel: EIP is at sierra_close+0x1a/0x7f [sierra]
Sep 25 08:13:26 claw kernel: EAX: f1b6b800 EBX: ee479400 ECX: ee582380 EDX: e1b3d540
Sep 25 08:13:26 claw kernel: ESI: 00000000 EDI: f1b6b800 EBP: f20bbe98 ESP: f20bbe84
Sep 25 08:13:26 claw kernel: DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Sep 25 08:13:26 claw kernel: Process wvdial (pid: 8099, ti=f20ba000 task=ee7a1940 task.ti=f20ba000)
Sep 25 08:13:26 claw kernel: Stack:
Sep 25 08:13:26 claw kernel: 00000246 ee479454 ee479400 f84f6c4c e1b3d540 f20bbec0 f84ed855 f20bbec0
Sep 25 08:13:26 claw kernel: ee582380 f84f7098 f1b6b800 ee479454 f1b6b800 00000000 00000003 f20bbf50
Sep 25 08:13:26 claw kernel: c05baea0 c0532929 00000001 f20bbf38 0000051b f2b64870 00000001 00000000
Sep 25 08:13:26 claw kernel: Call Trace:
Sep 25 08:13:26 claw kernel: [<f84ed855>] ? serial_close+0x7f/0x121 [usbserial]
Sep 25 08:13:26 claw kernel: [<c05baea0>] ? tty_release_dev+0x146/0x3b7
Sep 25 08:13:26 claw kernel: [<c0532929>] ? inode_has_perm+0x60/0x6a
Sep 25 08:13:26 claw kernel: [<c04aa443>] ? vfs_ioctl+0x1d/0x74
Sep 25 08:13:26 claw kernel: [<c04aad29>] ? do_vfs_ioctl+0x480/0x4ba
Sep 25 08:13:26 claw kernel: [<c05bb128>] ? tty_release+0x17/0x21
Sep 25 08:13:26 claw kernel: [<c04a11d4>] ? __fput+0xd1/0x15d
Sep 25 08:13:26 claw kernel: [<c04a1278>] ? fput+0x18/0x1a
Sep 25 08:13:26 claw kernel: [<c049e855>] ? filp_close+0x56/0x60
Sep 25 08:13:26 claw kernel: [<c049e8d3>] ? sys_close+0x74/0xac
Sep 25 08:13:26 claw kernel: [<c0403f72>] ? syscall_call+0x7/0xb
Sep 25 08:13:26 claw kernel: Code: 55 f0 0f b6 42 0e 39 c7 7c a2 5a 59 5b 5e 5f 5d c3 55 89 e5 57 56 53 83 ec 08 0f 1f 44 00 00 89 d3 8b 12 89 c7 8b b3 6c 01 00 00 <c7> 46 28 00 00 00 00 c7 46 2c 00 00 00 00 83 3a 00 74 39 8d 42 
Sep 25 08:13:26 claw kernel: EIP: [<f84f56c3>] sierra_close+0x1a/0x7f [sierra] SS:ESP 0068:f20bbe84
Sep 25 08:13:26 claw kernel: ---[ end trace bd122f0dc89fa9b8 ]---

Comment 1 Bug Zapper 2010-04-28 10:34:20 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-06-28 14:48:39 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.